summaryrefslogtreecommitdiff
path: root/test.sh
diff options
context:
space:
mode:
authorOxore <oxore@protonmail.com>2023-08-06 01:17:25 +0300
committerOxore <oxore@protonmail.com>2023-08-06 01:17:25 +0300
commitd9edff0cdc1792401e5a0b7fb556463a7637fbf0 (patch)
tree2f63378c1171dabee98130d23637f3021e563ced /test.sh
parent04e380b927ee78f5474d1d87fa59383771c720aa (diff)
Add tests
Diffstat (limited to 'test.sh')
-rwxr-xr-xtest.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test.sh b/test.sh
new file mode 100755
index 0000000..399f65e
--- /dev/null
+++ b/test.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+dosbuild_dir='tests'
+
+mkdir -p "$dosbuild_dir"
+cat <<END >"$dosbuild_dir/build.bat"
+path d:\\dosemu;e:\\sierra\\bin
+set INCLUDE68=e:\\sierra\\include
+set TEMP=c:\\tmp
+END
+echo "asm68 -l -Q -o test1.o test1.S" >>"$dosbuild_dir/build.bat"
+dosemu -quiet -K "$dosbuild_dir" -E'build.bat'